]> err.no Git - util-linux/commitdiff
tests: add mount by devname with uuid in fstab
authorKarel Zak <kzak@redhat.com>
Mon, 28 May 2007 23:08:04 +0000 (01:08 +0200)
committerKarel Zak <kzak@redhat.com>
Wed, 30 May 2007 09:24:06 +0000 (11:24 +0200)
Signed-off-by: Karel Zak <kzak@redhat.com>
tests/Makefile.am
tests/expected/ts-fstab-devname2uuid [new file with mode: 0644]
tests/ts-fstab-devname2uuid [new file with mode: 0755]

index bb7794f88b9b8f6d379be58092b51fdf44a84131..1b810c6d86316b85069532f252626aad51e0cfc3 100644 (file)
@@ -13,6 +13,7 @@ EXTRA_DIST =  expected/ \
                ts-fstab-uuid \
                ts-fstab-devname \
                ts-fstab-devname2label \
+               ts-fstab-devname2uuid \
                ts-hwclock-systohc \
                ts-ipcs-headers \
                ts-ipcs-limits \
diff --git a/tests/expected/ts-fstab-devname2uuid b/tests/expected/ts-fstab-devname2uuid
new file mode 100644 (file)
index 0000000..3582111
--- /dev/null
@@ -0,0 +1 @@
+Success
diff --git a/tests/ts-fstab-devname2uuid b/tests/ts-fstab-devname2uuid
new file mode 100755 (executable)
index 0000000..602ab59
--- /dev/null
@@ -0,0 +1,59 @@
+#!/bin/bash
+
+#
+# Copyright (C) 2007 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux-ng.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+
+#
+# mount by devname -- with an UUID in fstab
+#
+
+. commands.sh
+. functions.sh
+
+TS_COMPONENT="fstab"
+TS_DESC="devname2uuid"
+
+ts_init "$1"
+ts_skip_nonroot
+
+set -o pipefail
+
+DEVICE=$(ts_device_init)
+[ "$?" == 0 ] || ts_die "Cannot init device"
+
+mkfs.ext3 $DEVICE &> /dev/null
+[ "$?" == "0" ] || ts_die "Cannot make ext3 on $DEVICE" $DEVICE
+
+ts_device_has_uuid $DEVICE
+[ "$?" == "0" ] || ts_die "Cannot found UUID on $DEVICE" $DEVICE
+
+UUID=$(ts_uuid_by_devname $DEVICE)
+
+[ -d "$TS_MOUNTPOINT" ] || mkdir -p $TS_MOUNTPOINT
+
+ts_fstab_add "UUID=$UUID"
+
+$TS_CMD_MOUNT $DEVICE 2>&1 >> $TS_OUTPUT
+grep -q $DEVICE /proc/mounts
+[ "$?" == "0" ] || ts_die "Cannot found $DEVICE in /proc/mounts" $DEVICE
+$TS_CMD_UMOUNT $DEVICE
+[ "$?" == "0" ] || ts_die "Cannot umount $DEVICE" $DEVICE
+
+ts_device_deinit $DEVICE
+ts_fstab_clean
+
+ts_log "Success"
+ts_finalize
+